<template>
  <div class="page-header-box">
    <div class="evenBox" v-if="!isOdd">
      <div class="evenContent">
        <span>{{ num }}</span>
        <span>{{ name }}</span>
      </div>
      <img class="evenIcon" src="../../images/even.png" alt="" />
    </div>
    <div class="oddBox" v-else>
      <img class="oddIcon" src="../../images/ti-icon.png" alt="" />
      <div class="oddContent">
        <span>{{ chapter }}</span>
        <span>{{ name }}</span>
        <span>{{ num }}</span>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "pageHeader",
  props: {
    num: {
      type: String,
      default: "",
    },
    name: {
      type: String,
      default: "",
    },
    chapter: {
      type: String,
      default: "",
    },
    isOdd: {
      type: Boolean,
      default: true,
    },
  },
  data() {
    return {};
  },
};
</script>
<style></style>
